> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hymalaia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Reply

> Send multiple messages to an assistant in batch.



## OpenAPI

````yaml POST /api/chat/batch/reply
openapi: 3.1.0
info:
  title: Hymalaia Chat API
  description: API for interacting with Hymalaia's chat and messaging services
  version: 1.0.0
  contact:
    name: Hymalaia Support
    email: support@hymalaia.com
    url: https://hymalaia.com
servers:
  - url: https://{instance}.hymalaia.app
    description: Your Hymalaia instance
    variables:
      instance:
        default: demo
        description: >-
          Instance name only. Resolved as https://{instance}.hymalaia.app
          (default: demo → https://demo.hymalaia.app).
security: []
paths:
  /api/chat/batch/reply:
    post:
      tags:
        - public
      summary: Batch Reply
      description: Send multiple messages to an assistant in batch.
      operationId: batch_reply
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchReplyRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    BatchReplyRequest:
      type: object
      title: BatchReplyRequest
      required:
        - assistant_id
        - messages
      properties:
        assistant_id:
          type: integer
          title: Assistant Id
          description: Target assistant/persona identifier
        messages:
          type: array
          items:
            type: string
          minItems: 1
          title: Messages
          description: Array of message strings
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Authorization header with Bearer token

````